We're updating the issue view to help you get more done. 

Make Pack200 compression optional

Description

The Openfire build script uses Pack200 to compress plugins. This adds a lot of time to the build process (in my example, it's easily trippled). This doesn't make sense if you run Openfire on the same machine as where you ran the buildscript: the first thing that Openfire does, after it gets started, is unpacking it again.

The build script should be modified to make packing optional.

Environment

None

Acceptance Test - Entry

None

Activity

Show:
Guus der Kinderen
April 8, 2008, 4:35 PM

The attached patch modifies the Ant buildscript to work based on a boolean value (default: true). If set to false, pack200 will not be used.

Before loading a plugin, Openfire will simply unpack all .pack files, if any are available the plugin lib directory. Not building .pack-files will not affect plugin loading.

Assignee

Gaston Dombiak

Reporter

Guus der Kinderen

Labels

None

Expected Effort

None

Ignite Forum URL

None

Components

Fix versions

Priority

Minor
Configure